%global pypi_name os-client-config

%define python3 1

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        OpenStack Client Configuation Library
License:        ASLv2
URL:            http://www.openstack.org/
Source0:        http://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
`os-client-config` is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack.

%if %python3
%package -n python3-%{pypi_name}
Summary:        OpenStack Client Configuation Library
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
`os-client-config` is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

%if %python3
cp -a . %{py3dir}
%endif

%build
%py2_build

%if %python3
pushd %{py3dir}
%py3_build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%py3_install
popd
%endif

%py2_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python2_sitelib}/*

%if %python3
%files -n python3-%{pypi_name}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/*
%endif


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.8.1-2.mga6
+ Revision: 971086
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.8.1-1.mga6
+ Revision: 889256
- new version: 1.8.1 + rebuild for python 3.5
- use new python macros
- add doc files

* Tue Sep 01 2015 fwang <fwang> 1.6.3-1.mga6
+ Revision: 871892
- imported package python-os-client-config

